Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface WTCRuntimeMBean

All Superinterfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

public interface WTCRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This class is used to 1. query, stop, and start WTC connections. 2. query, suspend, and resume WTC imported and exported services.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`weblogic.wtc.gwt.DServiceInfo[]` | `getServiceStatus()` Returns status of all the Import or Export services/resources configured for the targeted WTC server with the specified service name.
`int` | `getServiceStatus(String svcName)` Returns status of the Import and Export service/resource configured for the targeted WTC server with the specified service name.
`int` | `getServiceStatus(String svcName, boolean isImport)` Returns status of the Import or Export service/resource configured for the targeted WTC server with the specified service name.
`int` | `getServiceStatus(String localAccessPoint, String svcName)` Returns status of the imported and exported service of the the specfied service name and provided by the specified local access point.
`int` | `getServiceStatus(String localAccessPoint, String svcName, boolean isImport)` Returns status of the imported or exported service of the the specfied service name and provided by the specified local access point.
`int` | `getServiceStatus(String localAccessPoint, String remoteAccessPointList, String svcName)` Returns status of a specific imported service provided by the specified local access point and remote access point list.
`weblogic.wtc.gwt.DSessConnInfo[]` | `listConnectionsConfigured()` Provide a list of the connections configured for this WTCService.
`void` | `resumeService(String svcName)` Resume all the Import and Export services with the specified service name.
`void` | `resumeService(String svcName, boolean isImport)` Resume all the Import or Export services with the specified service name.
`void` | `resumeService(String localAccessPoint, String svcName)` Resume all the Import and Export services with the specified service name configured for the specified local access point.
`void` | `resumeService(String localAccessPoint, String svcName, boolean isImport)` Resume all the Import or Export services with the specified service name configured for the specified local access point.
`void` | `resumeService(String localAccessPoint, String remoteAccessPointList, String svcName)` Resume a specific Import service with the specified service name configured for the specified local access point and remote access point list.
`void` | `startConnection(String LDomAccessPointId)` Attempt to start connections between the specified local domain access point and all remote end points defined for the given local domain domain access point.
`void` | `startConnection(String LDomAccessPointId, String RDomAccessPointId)` Attempt to start a connection between the specified local and remote domain access points.
`void` | `stopConnection(String LdomAccessPointId)` Attempt to stop all remote connections configured for the given local access point id.
`void` | `stopConnection(String LdomAccessPointId, String RDomAccessPointId)` Attempt to stop the connection between the specified local and remote domain access points.
`void` | `suspendService(String svcName)` Suspend all the Import and Export services with the specified service name.
`void` | `suspendService(String svcName, boolean isImport)` Suspend all the Import or Export services with the specified service name.
`void` | `suspendService(String localAccessPoint, String svcName)` Suspend all the Import and Export services with the specified service name configured for the specified local access point.
`void` | `suspendService(String localAccessPoint, String svcName, boolean isImport)` Suspend all the Import or Export services with the specified service name configured for the specified local access point.
`void` | `suspendService(String localAccessPoint, String remoteAccessPointList, String svcName)` Suspend a specific Import service with the specified service name configured for the specified local access point and remote access point list.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getServiceStatus

    public weblogic.wtc.gwt.DServiceInfo[] getServiceStatus()
                                                     throws weblogic.wtc.jatmi.TPException

  Returns status of all the Import or Export services/resources configured for the targeted WTC server with the specified service name. This service name is the resource name of the WTCImport and WTCExport.

  Returns:
    An array of instance of DServiceInfo objects. Each instance contains information on a single configured import or export service/resource: it local access point name, status, type, and service/resource name.
  Throws:
    `weblogic.wtc.jatmi.TPException`

### getServiceStatus

    public int getServiceStatus(String svcName)
                         throws weblogic.wtc.jatmi.TPException

  Returns status of the Import and Export service/resource configured for the targeted WTC server with the specified service name. This service name is the resource name of the WTCImport and WTCExport. As long as one of the directions is available the returned satatus will be available.

  Parameters:
    `svcName` - The resource name of imported or exported service/resource name.
  Returns:
    none or throws TPException.TPENOENT if there is no matching service name found.
  Throws:
    `weblogic.wtc.jatmi.TPException`

### getServiceStatus

    public int getServiceStatus(String svcName,
                                boolean isImport)
                         throws weblogic.wtc.jatmi.TPException

  Returns status of the Import or Export service/resource configured for the targeted WTC server with the specified service name. This service name is the resource name of the WTCImport and WTCExport.

  Parameters:
    `svcName` - The resource name of imported or exported service/resource name.
    `isImport` - The type of service indicate whether it is import or export. If true, then it is imported service, if false it is targeted for exported service.
  Returns:
    none or throws TPException.TPENOENT if there is no matching service name found.
  Throws:
    `weblogic.wtc.jatmi.TPException`

### getServiceStatus

    public int getServiceStatus(String localAccessPoint,
                                String svcName)
                         throws weblogic.wtc.jatmi.TPException

  Returns status of the imported and exported service of the the specfied service name and provided by the specified local access point. The service name is the resource name of the WTCImport and WTCExport. As long as one of the directions is available then the returned status will be available.

  Parameters:
    `localAccessPoint` - The local access point name.
    `svcName` - The resource name of imported or exported service/resource name.
  Returns:
    status or throws TPException.TPENOENT if there is no matching service name found for the sepcified local access point.
  Throws:
    `weblogic.wtc.jatmi.TPException`

### getServiceStatus

    public int getServiceStatus(String localAccessPoint,
                                String svcName,
                                boolean isImport)
                         throws weblogic.wtc.jatmi.TPException

  Returns status of the imported or exported service of the the specfied service name and provided by the specified local access point. The service name is the resource name of the WTCImport and WTCExport.

  Parameters:
    `localAccessPoint` - The local access point name.
    `svcName` - The resource name of imported or exported service/resource name.
    `isImport` - The type of service indicate whether it is import or export. If true, then it is imported service, if false it is targeted for exported service.
  Returns:
    status or throws TPException.TPENOENT if there is no matching service name found for the sepcified local access point.
  Throws:
    `weblogic.wtc.jatmi.TPException`

### getServiceStatus

    public int getServiceStatus(String localAccessPoint,
                                String remoteAccessPointList,
                                String svcName)
                         throws weblogic.wtc.jatmi.TPException

  Returns status of a specific imported service provided by the specified local access point and remote access point list. The service name is the resource name of the WTCImport and WTCExport. The remote access point list is a comma separated list; for instance, "TDOM1,TDOM2".

  Returns:
    status or throws TPException.TPENOENT if there is no matching service name found for the specified local access point and and remote access point list.
  Throws:
    `weblogic.wtc.jatmi.TPException`

### listConnectionsConfigured

    public weblogic.wtc.gwt.DSessConnInfo[] listConnectionsConfigured()

  Provide a list of the connections configured for this WTCService.

  Returns:
    An array of instances of DSessConnInfo objects. Each instance contains information on a single configured connection: its local and remote access point ids and whether the connection is currently active.

### resumeService

    public void resumeService(String svcName)
                       throws weblogic.wtc.jatmi.TPException

  Resume all the Import and Export services with the specified service name. This service name is the resource name of the WTCImport and WTCExport.

  Parameters:
    `svcName` - The resource name of imported or exported service/resource name.
  Returns:
    none or throws TPException.TPENOENT if there is no matching service name found.
  Throws:
    `weblogic.wtc.jatmi.TPException`

### resumeService

    public void resumeService(String svcName,
                              boolean isImport)
                       throws weblogic.wtc.jatmi.TPException

  Resume all the Import or Export services with the specified service name. This service name is the resource name of the WTCImport and WTCExport.

  Parameters:
    `svcName` - The resource name of imported or exported service/resource name.
    `isImport` - The type of service indicate whether it is import or export. If true, then it is imported service, if false it is targeted for exported service.
  Returns:
    none or throws TPException.TPENOENT if there is no matching service name found.
  Throws:
    `weblogic.wtc.jatmi.TPException`

### resumeService

    public void resumeService(String localAccessPoint,
                              String svcName)
                       throws weblogic.wtc.jatmi.TPException

  Resume all the Import and Export services with the specified service name configured for the specified local access point. The service name is the resource name of the WTCImport and WTCExport.

  Parameters:
    `localAccessPoint` - The local access point name.
    `svcName` - The resource name of imported or exported service/resource name.
  Returns:
    none or throws TPException.TPENOENT if there is no matching service name found.
  Throws:
    `weblogic.wtc.jatmi.TPException`

### resumeService

    public void resumeService(String localAccessPoint,
                              String svcName,
                              boolean isImport)
                       throws weblogic.wtc.jatmi.TPException

  Resume all the Import or Export services with the specified service name configured for the specified local access point. The service name is the resource name of the WTCImport and WTCExport.

  Parameters:
    `localAccessPoint` - The local access point name.
    `svcName` - The resource name of imported or exported service/resource name.
    `isImport` - The type of service indicate whether it is import or export. If true, then it is imported service, if false it is targeted for exported service.
  Returns:
    none or throws TPException.TPENOENT if there is no matching service name found.
  Throws:
    `weblogic.wtc.jatmi.TPException`

### resumeService

    public void resumeService(String localAccessPoint,
                              String remoteAccessPointList,
                              String svcName)
                       throws weblogic.wtc.jatmi.TPException

  Resume a specific Import service with the specified service name configured for the specified local access point and remote access point list. The service name is the resource name of the WTCImport and WTCExport. The remote access point list is a comma separated list; for instance, "TDOM1,TDOM2".

  Parameters:
    `localAccessPoint` - The local access point name.
    `remoteAccessPointList` - The comma separated remote access point names.
    `svcName` - The resource name of imported or exported service/resource name.
  Returns:
    none or throws TPException.TPENOENT if the service name is not found.
  Throws:
    `weblogic.wtc.jatmi.TPException`

### startConnection

    public void startConnection(String LDomAccessPointId)
                         throws weblogic.wtc.jatmi.TPException

  Attempt to start connections between the specified local domain access point and all remote end points defined for the given local domain domain access point.

  Parameters:
    `LDomAccessPointId` - The local domain access point id.
  Throws:
    `weblogic.wtc.jatmi.TPException`

### startConnection

    public void startConnection(String LDomAccessPointId,
                                String RDomAccessPointId)
                         throws weblogic.wtc.jatmi.TPException

  Attempt to start a connection between the specified local and remote domain access points.

  Parameters:
    `LDomAccessPointId` - The local domain access point id.
    `RDomAccessPointId` - The remote domain access point id.
  Throws:
    `weblogic.wtc.jatmi.TPException`

### stopConnection

    public void stopConnection(String LdomAccessPointId)
                        throws weblogic.wtc.jatmi.TPException

  Attempt to stop all remote connections configured for the given local access point id.

  Throws:
    `weblogic.wtc.jatmi.TPException`

### stopConnection

    public void stopConnection(String LdomAccessPointId,
                               String RDomAccessPointId)
                        throws weblogic.wtc.jatmi.TPException

  Attempt to stop the connection between the specified local and remote domain access points.

  Parameters:
    `RDomAccessPointId` - The remote domain access point id.
  Throws:
    `weblogic.wtc.jatmi.TPException`

### suspendService

    public void suspendService(String svcName)
                        throws weblogic.wtc.jatmi.TPException

  Suspend all the Import and Export services with the specified service name. This service name is the resource name of the WTCImport and WTCExport.

  Parameters:
    `svcName` - The resource name of imported or exported service/resource name.
  Returns:
    none or throws TPException.TPENOENT if the service name is not found.
  Throws:
    `weblogic.wtc.jatmi.TPException`

### suspendService

    public void suspendService(String svcName,
                               boolean isImport)
                        throws weblogic.wtc.jatmi.TPException

  Suspend all the Import or Export services with the specified service name. This service name is the resource name of the WTCImport and WTCExport.

  Parameters:
    `svcName` - The resource name of imported or exported service/resource name.
    `isImport` - The type of service indicate whether it is import or export. If true, then it is imported service, if false it is targeted for exported service.
  Returns:
    none or throws TPException.TPENOENT if the service name is not found.
  Throws:
    `weblogic.wtc.jatmi.TPException`

### suspendService

    public void suspendService(String localAccessPoint,
                               String svcName)
                        throws weblogic.wtc.jatmi.TPException

  Suspend all the Import and Export services with the specified service name configured for the specified local access point. The service name is the resource name of the WTCImport and WTCExport.

  Parameters:
    `localAccessPoint` - The local access point name.
    `svcName` - The resource name of imported or exported service/resource name.
  Returns:
    none or throws TPException.TPENOENT if the service name is not found.
  Throws:
    `weblogic.wtc.jatmi.TPException`

### suspendService

    public void suspendService(String localAccessPoint,
                               String svcName,
                               boolean isImport)
                        throws weblogic.wtc.jatmi.TPException

  Suspend all the Import or Export services with the specified service name configured for the specified local access point. The service name is the resource name of the WTCImport and WTCExport.

  Parameters:
    `localAccessPoint` - The local access point name.
    `svcName` - The resource name of imported or exported service/resource name.
    `isImport` - The type of service indicate whether it is import or export. If true, then it is imported service, if false it is targeted for exported service.
  Returns:
    none or throws TPException.TPENOENT if the service name is not found.
  Throws:
    `weblogic.wtc.jatmi.TPException`

### suspendService

    public void suspendService(String localAccessPoint,
                               String remoteAccessPointList,
                               String svcName)
                        throws weblogic.wtc.jatmi.TPException

  Suspend a specific Import service with the specified service name configured for the specified local access point and remote access point list. The service name is the resource name of the WTCImport and WTCExport. The remote access point list is a comma separated list; for instance, "TDOM1,TDOM2".

  Parameters:
    `localAccessPoint` - The local access point name.
    `remoteAccessPointList` - The comma separated remote access point names.
    `svcName` - The resource name of imported or exported service/resource name.
  Returns:
    none or throws TPException.TPENOENT if the service name is not found.
  Throws:
    `weblogic.wtc.jatmi.TPException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD